Create OrderAsk AIpost https://api.burqup.com/v1/ordersCreate an order.Body Paramsorder_valueintegerTotal value of all items in the order.external_order_refstringMerchant-provided delivery identifier. Commonly used for merchants to cross-reference orders from Burq API with their own system. When provided, this is also used as "order number" and used by drivers to find the right order at pickup location.itemsarray of objectsrequiredList of items to be delivered.items*ADD objecttipintegerTips for the driver. Burq forwards all tips to the delivery providers.request_contactlessbooleanWhether delivery should be contactless. Cannot be true if signature is set to true.truefalserequest_signaturebooleanWhether signature should be collected at dropoff. Cannot be true if contactless_delivery is set to true.truefalsevehiclestringenumThis is an experimental setting. When set, Burq tries to inform providers about your preferred vehicle type. However, not all providers support vehicle type specification, and setting this property has no effect on those providers.carsuvpickup_truckcargo_vanbox_truck53ft_truckAllowed:carsuvpickup_truckcargo_vanbox_truck53ft_truckpickup_addressstringAddress of pickup location. Include all components including street, city, zipcode, and country. Do not include unit number; use pickup_unit property instead. Do not provide if store_id is provided. Otherwise required.pickup_unitstringUnit number of pickup location. Do not provide if store_id is provided.pickup_phone_numberstringPhone number of pickup location. Optional if store_id is provided. Otherwise required.pickup_namestringIndividual or company name of pickup location. Optional if store_id is provided. Otherwise required.pickup_contact_emailstringPickup contact email.pickup_atdate-timeTimestamp for when the items should be picked up. Must be in ISO8601 format. Cannot be both provided with dropoff_at.pickup_notesstringInstructions for drivers when picking up order items.dropoff_phone_numberstringPhone number of dropoff location. Optional if dropoff_store_id is provided. Otherwise required.dropoff_addressstringAddress of dropoff location. Include all components including street, city, zipcode, and country. Do not include unit number; use dropoff_unit property instead. Do not provide if dropoff_store_id is provided. Otherwise required.dropoff_unitstringUnit number of dropoff location.dropoff_namestringIndividual or company name receiving the order. Optional if dropoff_store_id is provided. Otherwise required.dropoff_contact_emailstringDropoff contact email.dropoff_atdate-timeTimestamp for when the items should be delivered. Must be in ISO8601 format. Cannot be both provided with pickup_at.dropoff_notesstringInstructions for drivers when dropping off order items.contains_alcoholbooleanIndicates whether items contain an alcoholic ingredient.truefalsepickup_store_idstringID of a store created through Burq dashboard or API. When provided, store information will be used for any pickup setting not explicitly provided in the request, including address, phone number, name, and notes.dropoff_store_idstringID of a store created through Burq dashboard or API. When provided, store information will be used for any dropoff setting not explicitly provided in the request, including address, phone number, name, and notes.Headersx-api-keystringrequiredBurq API key for your account.Responses 201The request was successful. 400Errors under status code 400. See error examples under the "Response" tab on right. Note examples are for reference only. Field values are neither exhaustive nor api-version-controlled. 403Errors under status code 403. See error examples under the "Response" tab on right. Note examples are for reference only. Field values are neither exhaustive nor api-version-controlled.Updated 3 months ago